> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aigenda.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Права в пространстве

> Что вам можно в этом пространстве. Для загрузки нужно write_access: true.

## Параметры пути

<ParamField path="space_id" type="integer" required>
  Идентификатор пространства.
</ParamField>

## Ответ

<ResponseField name="write_access" type="boolean">
  Можно загружать записи.
</ResponseField>

<ResponseField name="share_access" type="boolean">
  Можно открывать публичный доступ к результатам.
</ResponseField>

<ResponseField name="invite_access" type="boolean">
  Можно приглашать участников.
</ResponseField>

<ResponseField name="add_user" type="boolean">
  Можно добавлять пользователей.
</ResponseField>

<ResponseField name="create_another_group" type="boolean">
  Можно создавать группы.
</ResponseField>

<ResponseField name="view_only_own_records" type="boolean">
  Видны только свои записи.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.aigenda.tech/api/spaces/1024/my_rights/" \
    -H "Authorization: Bearer <access>"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.aigenda.tech/api/spaces/1024/my_rights/",
      headers={"Authorization": "Bearer <access>"},
      timeout=30,
  )
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.aigenda.tech/api/spaces/1024/my_rights/", {
    method: "GET",
    headers: { Authorization: "Bearer <access>" },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "write_access": true,
    "invite_access": true,
    "share_access": true,
    "create_another_group": true,
    "add_user": true,
    "view_only_own_records": false
  }
  ```

  ```json 403 theme={null}
  {
    "detail": "You do not have permission to perform this action."
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.